Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.orion
Class AbstractOrionContainer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.cactus.integration.ant.container.AbstractContainer
              org.apache.cactus.integration.ant.container.AbstractJavaContainer
                  org.apache.cactus.integration.ant.container.orion.AbstractOrionContainer

All Implemented Interfaces:
  Container

Direct Known Subclasses:
  Orion1xContainer, Orion2xContainer

public abstract class AbstractOrionContainer
extends AbstractJavaContainer

Basic support for the Orin application server.

Version:
  $Id: AbstractOrionContainer.java 239130 2005-01-29 15:49:18Z vmassol $

Constructor Summary
`AbstractOrionContainer()`

Method Summary
`int` | `getPort()` Returns the port to which the container should listen.
`void` | `init()` The default implementation does nothing.
`void` | `setDir(java.io.File theDir)` Sets the Orion installation directory.
`void` | `setPort(int thePort)` Sets the port to which the container should listen.
`void` | `setTmpDir(java.io.File theTmpDir)` Sets the temporary directory from which to start the container.
`void` | `shutDown()` Subclasses must implement this method to perform the actual task of shutting down the container.

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractJavaContainer
`setAppend, setJVMArgs, setOutput`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractContainer
`createExclude, getBaseURL, getContainerClasspath, getExcludePatterns, getProtocol, getServer, getStartUpWait, getSystemProperties, getTestContext, getToDir, isEnabled, isExcluded, setAntTaskFactory, setContainerClasspath, setDeployableFile, setIf, setLog, setProtocol, setServer, setStartUpWait, setSystemProperties, setToDir, setUnless`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cactus.integration.ant.container.Container
`getName, startUp`

Constructor Detail

### AbstractOrionContainer

    public AbstractOrionContainer()

Method Detail

### setDir

    public final void setDir(java.io.File theDir)

  Sets the Orion installation directory.

  Parameters:
    `theDir` - The directory to set

### setPort

    public final void setPort(int thePort)

  Sets the port to which the container should listen.

  Parameters:
    `thePort` - The port to set

### setTmpDir

    public final void setTmpDir(java.io.File theTmpDir)

  Sets the temporary directory from which to start the container.

  Parameters:
    `theTmpDir` - The directory to set

### getPort

    public final int getPort()

  Returns the port to which the container should listen.

  Returns:
    The port

### init

    public final void init()

  Description copied from class: `AbstractContainer`
  The default implementation does nothing.

  Specified by:
    `init` in interface `Container`
  Overrides:
    `init` in class `AbstractContainer`
  See Also:
    `Container.init()`

### shutDown

    public final void shutDown()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of shutting down the container.

  See Also:
    `Container.shutDown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.